function SessionStorageManager() {
}


SessionStorageManager.prototype.clear = function() {
	sessionStorage.clear();
}

SessionStorageManager.prototype.removeItem = function(key) {
	return sessionStorage.removeItem(key);
}


// maestro ID
SessionStorageManager.prototype.setMaestroID = function(value) {
	sessionStorage.setItem("maestroID", value);
}
SessionStorageManager.prototype.getMaestroID = function() {
	return sessionStorage.getItem("maestroID");
}

// maestro ID
SessionStorageManager.prototype.setMaestroName = function(value) {
	sessionStorage.setItem("maestroName", value);
}
SessionStorageManager.prototype.getMaestroName = function() {
	return sessionStorage.getItem("maestroName");
}

// maestro account type
SessionStorageManager.prototype.setMaestroAccountType = function(value) {
	sessionStorage.setItem("maestroAccountType", value);
}
SessionStorageManager.prototype.getMaestroAccountType = function() {
	return sessionStorage.getItem("maestroAccountType");
}

// player name
SessionStorageManager.prototype.setPlayerName = function(value) {
	sessionStorage.setItem("playerName", value);
}
SessionStorageManager.prototype.getPlayerName = function() {
	return sessionStorage.getItem("playerName");
}

// player player ID
SessionStorageManager.prototype.setPlayerID = function(value) {
	sessionStorage.setItem("playerID", value);
}
SessionStorageManager.prototype.getPlayerID = function() {
	return sessionStorage.getItem("playerID");
}

// player account type
SessionStorageManager.prototype.setPlayerAccountType = function(value) {
	sessionStorage.setItem("playerAccountType", value);
}
SessionStorageManager.prototype.getPlayerAccountType = function() {
	return sessionStorage.getItem("playerAccountType");
}

// playing app id
SessionStorageManager.prototype.setPlayingAppID = function(value) {
	sessionStorage.setItem("playingAppID", value);
}
SessionStorageManager.prototype.getPlayingAppID = function() {
	return sessionStorage.getItem("playingAppID");
}

// playing app name
SessionStorageManager.prototype.setPlayingAppName = function(value) {
	sessionStorage.setItem("playingAppName", value);
}
SessionStorageManager.prototype.getPlayingAppName = function() {
	return sessionStorage.getItem("playingAppName");
}

// playing app korean name
SessionStorageManager.prototype.setPlayingAppKoreanName = function(value) {
	sessionStorage.setItem("playingAppKoreanName", value);
}
SessionStorageManager.prototype.getPlayingAppKoreanName = function() {
	return sessionStorage.getItem("playingAppKoreanName");
}

// record
SessionStorageManager.prototype.setRecord = function(value) {
	sessionStorage.setItem("record", value);
}
SessionStorageManager.prototype.getRecord = function() {
	return Number(sessionStorage.getItem("record"));
}

// app highest record
SessionStorageManager.prototype.setAppHighestRecord = function(value) {
	sessionStorage.setItem("appHighestRecord", value);
}
SessionStorageManager.prototype.getAppHighestRecord = function() {
	return Number(sessionStorage.getItem("appHighestRecord"));
}

// best record
SessionStorageManager.prototype.setIsNewAppHighestRecord = function(value) {
	sessionStorage.setItem("isNewAppHighestRecord", value);
}
SessionStorageManager.prototype.getIsNewAppHighestRecord = function() {
	return sessionStorage.getItem("isNewAppHighestRecord");
}

// writing ID
SessionStorageManager.prototype.setWritingID = function(value) {
	sessionStorage.setItem("writingID", value);
}
SessionStorageManager.prototype.getWritingID = function() {
	return sessionStorage.getItem("writingID");
}

// main menu
SessionStorageManager.prototype.setAppGroup = function(value) {
	sessionStorage.setItem("appGroup", value);
}
SessionStorageManager.prototype.getAppGroup = function() {
	return sessionStorage.getItem("appGroup");
}

SessionStorageManager.prototype.setLanguage = function(value) {
	sessionStorage.setItem("language", value);
}
SessionStorageManager.prototype.getLanguage = function() {
	return sessionStorage.getItem("language");
}



SessionStorageManager.prototype.resetPlayingAppData = function() {
	this.removeItem("playingAppID");
	this.removeItem("playingAppName");
	this.removeItem("playingAppKoreanName");
	this.removeItem("record");
	this.removeItem("appHighestRecord");
}

SessionStorageManager.prototype.resetAllAppData = function() {
	this.removeItem("maestroID");
	this.removeItem("maestroName");
	this.removeItem("maestroAccountType");
	this.removeItem("playerName");
	this.removeItem("playerID");
	this.removeItem("playerAccountType");
	this.removeItem("playingAppID");
	this.removeItem("playingAppName");
	this.removeItem("playingAppKoreanName");
	this.removeItem("record");
	this.removeItem("appHighestRecord");
	this.removeItem("isNewAppHighestRecord");
}